// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
#ryax-workflow-header
  h1
    ryax-project-name
  a((click)="refreshList()")
    i(nz-icon, nzType="redo", nzTheme="outline")

  #ryax-workflow-header-buttons
    ryax-create-workflow(*ngIf="(workflowList$ | async)?.length") New workflow

    button(nz-button, nzType="primary", nzGhost, routerLink="/settings") Project Settings

nz-spin([nzSpinning]="workflowListLoading$ | async", nzTip="Loading workflows...")
  #ryax-workflow-list-container
    nz-card#ryax-filters
      ryax-project-url

      nz-input-group([nzSuffix]="suffixIconSearch")
        input(type="text", nz-input, placeholder="Search", [(ngModel)]="searchTerm")
      ng-template(#suffixIconSearch)
        i(nz-icon, nzType="search")

      ng-container(*ngIf="workflowFilters$ | async as filterList")
        ng-container(*ngIf="filterList.deploymentStatus.length")
          label Status
          ul
            li(*ngFor="let filter of filterList.deploymentStatus")
              nz-tag(nzMode="checkable", (nzCheckedChange)="toggleFilter($event, 'deploymentStatus', filter)") {{ filter }}

        ng-container(*ngIf="filterList.trigger.length")
          label Trigger
          ul
            li(*ngFor="let filter of filterList.trigger")
              nz-tag(nzMode="checkable", (nzCheckedChange)="toggleFilter($event, 'trigger', filter)") {{ filter }}

        ng-container(*ngIf="filterList.categories.length")
          label Categories
          ul
            li(*ngFor="let filter of filterList.categories")
              nz-tag(nzMode="checkable", (nzCheckedChange)="toggleFilter($event, 'categories', filter)") {{ filter }}



    ul#ryax-workflow-list(*ngIf="(workflowList$ | async)?.length || (workflowListLoading$ | async) else noWorkflows")
      li(*ngFor="let workflow of workflowList$ | async | multiFilterWorkflowLight : activeFilters : searchTerm")
        a([routerLink]="'/workflow/' + workflow.id")
          ryax-workflow-card([workflow]="workflow")
    ng-template(#noWorkflows)
      nz-empty(nzNotFoundImage="simple", [nzNotFoundContent]="'No workflows yet ?'",
        [nzNotFoundFooter]="createWorkflow")

    ng-template(#createWorkflow)
      ryax-create-workflow Create one now
